#!/usr/bin/ksh

# @(#) db2check.sh - determines a machine's DB2 install location

# @01 02/22/05 LCL Initial release.

# Determine OS type
chk=$(uname -s | cut -c1)

# AIX
if [ "$chk" = "A" ]
then
  # Default to std Linux 8.1 DB2 dir
  DB2DIR=/usr/opt/db2_08_01

  # If several DB2 dirs, choose last cuz it might be fixpack which sorts last
  chk=$(ls -d /usr/opt/db2_08* 2>/dev/null | tail -1)
  [ -n "$chk" ] && DB2DIR=$chk

# Linux
elif [ "$chk" = "L" ]
then
  # Have DB2?
  chk=$(rpm -qa | grep db2)

  # Default to std Linux 8.1 DB2 dir
  DB2DIR=/opt/IBM/db2/V8.1
  [ -n "$chk" ] && DB2DIR=$(ls -d /opt/IBM/db2/V8* 2>/dev/null) 

# HP or Solaris
else
  DB2DIR=/opt/IBM/db2/V8.1
  chk=$(ls -d /opt/IBM/db2_08* 2>/dev/null | tail -1)
  [ -n "$chk" ] && DB2DIR=$chk
fi

# Only display if the DB2 dir we got is a real thing
[ -d "$DB2DIR" ] && print $DB2DIR
