#!/bin/ksh

#################################################################
#             (C) COPYRIGHT Candle Corporation 1998             #
#                      All Rights Reserved                      #
#                                                               #
#       Licensed Materials - Property of Candle Corporation     #
#         Duplication or disclosure prohibited without the      #
#        expressed written consent of the Candle Corporation.   #
#                                                               #
#################################################################

export PATH=/usr/bin:$PATH
CANDLEHOME1=$1

export CANDLEHOME=$CANDLEHOME1

if [ -z "$CANDLEHOME" ]
then
  Err_report fail "CANDLEHOME not specified"
fi

if [ $(print "$CANDLEHOME" | wc -w) -ne 1 ]
then
  print "Blanks are not permitted in CANDLEHOME" >&2
  exit 1
fi

print "CANDLEHOME=" $1

CurRegPath=$CANDLEHOME1/registry
ArchTbl=$CurRegPath/archdsc.tbl
DynShl=$CANDLEHOME1/bin/dynarch.shl
. $DynShl $ArchTbl
print "cArch = " $cArch
setJavaEnv $cArch
print "now JREEXE = " $JREEXE
print "CLASSPATH = " $CLASSPATH

USERDIR_CCP=$HOME/.commandpro

if [ ! -d "$USERDIR_CCP" ]
then
   mkdir $HOME/.commandpro
fi

. "$CANDLEHOME1/config/cz.config"

CP="$CANDLEHOME1/ccp/cz"
export CLASSPATH=$CP/kpl.jar:$CP/kpx.jar:$CP/aelfred.jar:$CP/kjr100J.jar:$CP/jgl.jar:$CP/classes111.zip:$CP/JClass362J.jar:$CP/Gauges130J.jar:$CP/Report200J.jar:$CP/swing.jar:$CP/motif.jar:$CP/lax.jar:${CLASSPATH}
print $CLASSPATH

export KBB_SIG1="-dumpoff -asyncoff -syncoff"

cd $CP

#java CommandPro -u$USERDIR_CCP -pkmp

# for R3
#$JREEXE -mx32m ITMinstall.CommandPro -u$USERDIR_CCP -pkp3
# for Sparticus
$JREEXE -mx32m ITMinstall.CommandPro -u$USERDIR_CCP -pkpw
