@echo off

echo "start postinstall.bat" > %INST_COMP_ENV_INFO_SCRATCH_DIR%\postinstall.run
echo "CANDLE_HOME: %CANDLE_HOME%" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\postinstall.run

rem Simple verification of CANDLE_HOME
set err_msg="CANDLE_HOME environment variable missing or %CANDLE_HOME% not found"
if "%CANDLE_HOME%" == "" goto exit_2
if NOT EXIST %CANDLE_HOME% goto exit_2

rem Update of applet.html part
echo =========== applet.html content backup begin ============= > %CANDLE_HOME%\CNB\applethtml.bak
type %CANDLE_HOME%\CNB\applet.html >> %CANDLE_HOME%\CNB\applethtml.bak
echo =========== applet.html content backup end ============= >> %CANDLE_HOME%\CNB\applethtml.bak

echo "copy /Y %CANDLE_HOME%\CNB\applet.html %CANDLE_HOME%\CNB\applet.html.ORIG" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\postinstall.run 
copy /Y %CANDLE_HOME%\CNB\applet.html %CANDLE_HOME%\CNB\applet.html.ORIG

REM Check the inf files
echo "starting outer loop" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\postinstall.run
FOR /F "usebackq" %%f in (`dir /b %CANDLE_HOME%\CNB\classes\*.inf`) DO (
    echo "file: %%f" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\postinstall.run
    REM Process each jar file listed in it
	FOR /F "usebackq tokens=1,2" %%i in (`type %CANDLE_HOME%\CNB\classes\%%f`) DO (
		REM Add jar file to applet.html
		echo "inner loop: %%i" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\postinstall.run
		echo ^(document\.writeln *\^( *'^< *PARAM *NAME *= *CACHE_ARCHIVE *VALUE *=.*^)^(\^"^>' *\^) *;^)>%TEMP%\sedparm1.tmp
		if NOT ERRORLEVEL 0 (
			set err_msg= "Can't create %TEMP%\sedparm1.tmp for ARCHIVE parameter"
			goto exit_2
		)
		REM TEMP echo ^$1 %%i,^$2 >%TEMP%\sedparm2.tmp
		echo ^$1, %%i^$2 >%TEMP%\sedparm2.tmp
		if NOT ERRORLEVEL 0 (
			set err_msg= "Can't create %TEMP%\sedparm2.tmp for jar parameter"
			goto exit_2
		)
		type %CANDLE_HOME%\CNB\applet.html |%SystemRoot%\system32\cscript.exe //B %CANDLE_HOME%\CNPS\sed.vbs %TEMP%\sedparm1.tmp %TEMP%\sedparm2.tmp > %CANDLE_HOME%\CNB\applet.html.new1
		if NOT ERRORLEVEL 0 (
			set err_msg="Can't modify the jar file list in %CANDLE_HOME%\CNB\applet.html"
			goto exit_2
		)
		echo "deleting #1 set of temp sed files" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\postinstall.run
		del %TEMP%\sedparm1.tmp
		del %TEMP%\sedparm2.tmp
		echo "done deleting #1 set of temp sed files" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\postinstall.run
	
		REM Add version tag to applet.html
		echo ^(document\.writeln *\^( *'^< *PARAM *NAME *= *CACHE_VERSION *VALUE *=.*^)^(\^"^>' *\^) *;^)>%TEMP%\sedparm1.tmp
		if NOT ERRORLEVEL 0 (
			set err_msg= "Can't create %TEMP%\sedparm1.tmp for VERSION parameter"
			goto exit_2
		)
		REM TEMP echo ^$1 %%j,^$2 >%TEMP%\sedparm2.tmp
		echo ^$1, %%j^$2 >%TEMP%\sedparm2.tmp
		if NOT ERRORLEVEL 0 (
			set err_msg= "Can't create %TEMP%\sedparm2.tmp for version parameter"
			goto exit_2
		)
		type %CANDLE_HOME%\CNB\applet.html.new1 |%SystemRoot%\system32\cscript.exe //B %CANDLE_HOME%\CNPS\sed.vbs %TEMP%\sedparm1.tmp %TEMP%\sedparm2.tmp > %CANDLE_HOME%\CNB\applet.html.new2
		if NOT ERRORLEVEL 0 (
			set err_msg="Can't modify the version list in %CANDLE_HOME%\CNB\applet.html"
			goto exit_2
		)
		REM move /Y %CANDLE_HOME%\CNB\applet.html.new2 %CANDLE_HOME%\CNB\applet.html
		echo "moving final files" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\postinstall.run
		echo "move /Y %CANDLE_HOME%\CNB\applet.html.new2 %CANDLE_HOME%\CNB\applet.html" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\postinstall.run 
		move /Y %CANDLE_HOME%\CNB\applet.html.new2 %CANDLE_HOME%\CNB\applet.html 1>NUL 2>NUL
		echo "done moving final files" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\postinstall.run

		echo "deleting #2 temp sed files" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\postinstall.run
		del %TEMP%\sedparm1.tmp
		del %TEMP%\sedparm2.tmp
		echo "done deleting #2 temp sed files" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\postinstall.run
		REM del %CANDLE_HOME%\CNB\applet.html.new1
    )
)

rem BuildPresentation part
echo "Calling BuildPresentation.bat" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\postinstall.run
call %CANDLE_HOME%\CNPS\BuildPresentation.bat
echo "Done Calling BuildPresentation.bat" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\postinstall.run

rem BuildPresentation.bat calls InstallPresentation.bat which stops the TEPS so we need to restart it before exiting.
echo "Restarting the TEPS as a service" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\postinstall.run
start /min net start kfwsrv
echo "Finished Restarting the TEPS as a service" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\postinstall.run

goto done

:exit_2
echo %err_msg%
echo "exit with error: %err_msg%" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\postinstall.run
exit 2

:done

echo "end postinstall.bat" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\postinstall.run
