#!/bin/sh

echo "start determine.sh"
echo "start determine.sh" > $INST_COMP_ENV_INFO_SCRATCH_DIR/determine.run
echo "CANDLEHOME: $CANDLEHOME"
echo "CANDLEHOME: $CANDLEHOME" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/determine.run

Err_report()
{
    case $1 in
        warn) echo "$PROGNAME warning: $2,continuing ..."
            sleep 2
            return
            ;;
        fail) echo "$PROGNAME failure: $2."
            exit 2
            ;;
        info) echo "$PROGNAME        : $2."
            return
            ;;
    esac
}

if [ ! -d "$CANDLEHOME" ]
then
    echo "CANDLEHOME environment variable not set or directory not found" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/determine.run
    Err_report fail "CANDLEHOME environment variable not set or directory not found"
fi

if [ -f $CANDLEHOME/*/cq/sqllib/kfw_de_pres.sql ]
then
    echo "$CANDLEHOME/*/cq/sqllib/kfw_de_pres.sql does exist"
    echo "$CANDLEHOME/*/cq/sqllib/kfw_de_pres.sql does exist" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/determine.run
    flag=`ls $CANDLEHOME/*/cq/sqllib/kfw_de_pres.sql`
    echo "copy from $flag to $flag.txt"
    echo "copy from $flag to $flag.txt" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/determine.run
    cp -p $flag $flag.txt
    retCode1=$?
    echo "return code for copy: $retCode1" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/determine.run
fi

if [ -f $CANDLEHOME/*/cq/sqllib/kfw_xe_pres.sql ]
then
    echo "$CANDLEHOME/*/cq/sqllib/kfw_xe_pres.sql does exist"
    echo "$CANDLEHOME/*/cq/sqllib/kfw_xe_pres.sql does exist" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/determine.run
    flag=`ls $CANDLEHOME/*/cq/sqllib/kfw_xe_pres.sql`
    echo "copy from $flag to $flag.txt"
    echo "copy from $flag to $flag.txt" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/determine.run
    cp -p $flag $flag.txt
    retCode2=$?
    echo "return code for copy #2: $retCode2" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/determine.run
fi

echo "end determine.sh"
echo "end determine.sh" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/determine.run
