#!/bin/ksh

echo "start postinstall.sh"
echo "start postinstall.sh" > $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall.run
echo "CANDLEHOME: $CANDLEHOME"
echo "CANDLEHOME: $CANDLEHOME" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall.run

Err_report()
{
    case $1 in
        warn) print -u2 "$PROGNAME warning: $2,continuing ..."
            sleep 2
            return
            ;;
        fail) print -u2 "$PROGNAME failure: $2."
            exit 2
            ;;
        info) print -u2 "$PROGNAME        : $2."
            return
            ;;
    esac
}


if [ ! -d "$CANDLEHOME" ]
then
    echo "CANDLEHOME environment variable not set or directory not found" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall.run
    Err_report fail "CANDLEHOME environment variable not set or directory not found"
fi


cd $CANDLEHOME/bin

#
# silently reconfigure the TEPS after the patch install
#
# create a dummy config file for itmcmd config in $CANDLEHOME/tmp/
# the itmpatch process unzips patches into this directory so it 
# should already exist
cfgfile=$CANDLEHOME/tmp/silent.cfg
echo "cfgfile: $cfgfile" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall.run
if [ ! -d "$CANDLEHOME/tmp" ]
then
   echo "mkdir $CANDLEHOME/tmp" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall.run
   mkdir $CANDLEHOME/tmp
fi

echo "touch file: $cfgfile" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall.run
Err_report info "touch file: $cfgfile"
touch  $cfgfile

if [ -f "$cfgfile" ]
then
   echo "Running itmcmd config -A -p $cfgfile cq" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall.run
   Err_report info "Running itmcmd config -A -p $cfgfile cq"
   ./itmcmd config -A -p $cfgfile cq > $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall-itmcmd.run
   retCode1=$?
   echo "return code 1: $retCode1" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall.run
   #rm -f $cfgfile
   echo "mv -p $cfgfile $cfgfile.run" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall.run
   mv -p $cfgfile $cfgfile.run
else 
   echo "cannot execute itmcmd config -A -p $cfgfile cq" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall.run
   Err_report warning "cannot execute itmcmd config -A -p $cfgfile cq"
fi


#
# run helpmerg.sh
script=`ls $CANDLEHOME/*/cq/bin/helpmerg.sh | tail -1`
if [ -f "$script" ]
then
   Err_report info "Running itmcmd execute -h $CANDLEHOME cq $script"
   echo "Running itmcmd execute -h $CANDLEHOME cq $script" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall.run
   ./itmcmd execute -h $CANDLEHOME cq $script > $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall-itmcmd2.run
   retCode2=$?
   echo "return code 2: $retCode2" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall.run
else 
   echo "cannot execute itmcmd execute -h $CANDLEHOME cq $script" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall.run
   Err_report warning "cannot execute itmcmd execute -h $CANDLEHOME cq $script"
fi


echo "end postinstall.sh"
echo "end postinstall.sh" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall.run
